Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.javaeewebservicesclient12
Interface ServiceRefHandlerChainType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ServiceRefHandlerChainTypeImpl

    public interface ServiceRefHandlerChainType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `service-ref_handler-chainType` xsd type

Original Documentation:

The handler-chain element defines the handlerchain.
Handlerchain can be defined such that the handlers in the
handlerchain operate,all ports of a service, on a specific
port or on a list of protocol-bindings. The choice of elements
service-name-pattern, port-name-pattern and protocol-bindings
are used to specify whether the handlers in handler-chain are
for a service, port or protocol binding. If none of these
choices are specified with the handler-chain element then the
handlers specified in the handler-chain will be applied on
everything.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<ServiceRefHandlerType<ServiceRefHandlerChainType<T>>>` | `getHandlerList()` Returns all `handler` elements
`java.lang.String` | `getPortNamePattern()` Returns the `port-name-pattern` element
`java.lang.String` | `getServiceNamePattern()` Returns the `service-name-pattern` element
`ServiceRefHandlerType<ServiceRefHandlerChainType<T>>` | `handler()` Returns the `handler` element
`ServiceRefProtocolBindingListType<ServiceRefHandlerChainType<T>>` | `protocolBindings()` If not already created, a new `protocol-bindings` element will be created and returned.
`ServiceRefHandlerChainType<T>` | `removeAllHandler()` Removes all `handler` elements
`ServiceRefHandlerChainType<T>` | `removePortNamePattern()` Removes the `port-name-pattern` element
`ServiceRefHandlerChainType<T>` | `removeProtocolBindings()` Removes the `protocol-bindings` element
`ServiceRefHandlerChainType<T>` | `removeServiceNamePattern()` Removes the `service-name-pattern` element
`ServiceRefHandlerChainType<T>` | `setPortNamePattern(java.lang.String portNamePattern)` If not already created, a new `port-name-pattern` element with the given value will be created.
`ServiceRefHandlerChainType<T>` | `setServiceNamePattern(java.lang.String serviceNamePattern)` If not already created, a new `service-name-pattern` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### removeAllHandler

    ServiceRefHandlerChainType<T> removeAllHandler()

  Removes all `handler` elements

  Returns:
    the current instance of `ServiceRefHandlerChainType`

### handler

    ServiceRefHandlerType<ServiceRefHandlerChainType<T>> handler()

  Returns the `handler` element

  Returns:
    the node defined for the element `handler`

### getHandlerList

    java.util.List<ServiceRefHandlerType<ServiceRefHandlerChainType<T>>> getHandlerList()

  Returns all `handler` elements

  Returns:
    list of `handler`

### setServiceNamePattern

    ServiceRefHandlerChainType<T> setServiceNamePattern(java.lang.String serviceNamePattern)

  If not already created, a new `service-name-pattern` element with the given value will be created. Otherwise, the existing `service-name-pattern` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefHandlerChainType`

### removeServiceNamePattern

    ServiceRefHandlerChainType<T> removeServiceNamePattern()

  Removes the `service-name-pattern` element

  Returns:
    the current instance of `ServiceRefHandlerChainType`

### getServiceNamePattern

    java.lang.String getServiceNamePattern()

  Returns the `service-name-pattern` element

  Returns:
    the node defined for the element `service-name-pattern`

### setPortNamePattern

    ServiceRefHandlerChainType<T> setPortNamePattern(java.lang.String portNamePattern)

  If not already created, a new `port-name-pattern` element with the given value will be created. Otherwise, the existing `port-name-pattern` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefHandlerChainType`

### removePortNamePattern

    ServiceRefHandlerChainType<T> removePortNamePattern()

  Removes the `port-name-pattern` element

  Returns:
    the current instance of `ServiceRefHandlerChainType`

### getPortNamePattern

    java.lang.String getPortNamePattern()

  Returns the `port-name-pattern` element

  Returns:
    the node defined for the element `port-name-pattern`

### removeProtocolBindings

    ServiceRefHandlerChainType<T> removeProtocolBindings()

  Removes the `protocol-bindings` element

  Returns:
    the current instance of `ServiceRefHandlerChainType`

### protocolBindings

    ServiceRefProtocolBindingListType<ServiceRefHandlerChainType<T>> protocolBindings()

  If not already created, a new `protocol-bindings` element will be created and returned. Otherwise, the existing `protocol-bindings` element will be returned.

  Returns:
    the node defined for the element `protocol-bindings`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD